import { numberingSystemNames } from './numbering-systems.generated';
function isSupportedNumberingSystem(system) {
    try {
        var numberFormat = new Intl.NumberFormat('en-u-nu-' + system);
        var options = numberFormat.resolvedOptions().numberingSystem;
        if ((options === system && system === 'latn') ||
            numberFormat.format(123) !== '123') {
            return true;
        }
    }
    catch (_err) { }
    return false;
}
export function getSupportedNumberingSystems() {
    return numberingSystemNames.filter(isSupportedNumberingSystem);
}
