"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSupportedCalendars = void 0;
var calendars_generated_1 = require("./calendars.generated");
function isSupportedCalendar(item) {
    try {
        var dateTimeFormat = new Intl.DateTimeFormat('en-u-ca' + item);
        var options = dateTimeFormat.resolvedOptions().calendar;
        if (item !== 'gregory' || options !== 'gregory')
            return true;
    }
    catch (_err) { }
    return false;
}
function getSupportedCalendars() {
    return calendars_generated_1.calendars.filter(isSupportedCalendar);
}
exports.getSupportedCalendars = getSupportedCalendars;
