"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSupportedNumberingSystems = void 0;
var numbering_systems_generated_1 = require("./numbering-systems.generated");
function isSupportedNumberingSystem(system) {
    try {
        var numberFormat = new Intl.NumberFormat('en-u-nu-' + system);
        var options = numberFormat.resolvedOptions().numberingSystem;
        if ((options === system && system === 'latn') ||
            numberFormat.format(123) !== '123') {
            return true;
        }
    }
    catch (_err) { }
    return false;
}
function getSupportedNumberingSystems() {
    return numbering_systems_generated_1.numberingSystemNames.filter(isSupportedNumberingSystem);
}
exports.getSupportedNumberingSystems = getSupportedNumberingSystems;
