"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSupportedTimeZones = void 0;
var timezones_generated_1 = require("./timezones.generated");
function isSupported(timeZone) {
    try {
        var formatter = new Intl.DateTimeFormat('en', { timeZone: timeZone });
        return formatter.resolvedOptions().timeZone === timeZone;
    }
    catch (_err) { }
    return false;
}
function getSupportedTimeZones() {
    return timezones_generated_1.timezones.filter(isSupported);
}
exports.getSupportedTimeZones = getSupportedTimeZones;
