"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSupportedUnits = void 0;
var units_generated_1 = require("./units.generated");
function isSupported(unit) {
    try {
        var formatter = new Intl.NumberFormat('en', { style: 'unit', unit: unit });
        return formatter.resolvedOptions().unit === unit;
    }
    catch (_err) { }
    return false;
}
function getSupportedUnits() {
    return units_generated_1.units.filter(isSupported);
}
exports.getSupportedUnits = getSupportedUnits;
